| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CreateFSBackupRequest Struct Reference
File System

Create FS Backup request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | OperatorId
| Operator Id. More...
enum unsp__FSRetrievalMethod * | FSRetrievalMethod
| describeshow the backup file is to be handled. More...
char * | NodeId
| The host name of the node being addressed. More...
unsp__IPAddress | RemoteIPAddress
| The IP address of the remote location to which the backup file should be sent. More...
int * | Port
| The port of the remote location to which the backup file should be sent. More...
enum unsp__FSRemoteProtocol * | FSRemoteProtocol
| The protocol by which the backup file is to be transferred to the RemoteIPAddress. More...
char * | UserLogin
| The login ID of the user to access the remote host. More...
char * | UserPassword
| The password of the user to access the remote host. More...
char * | RemoteDirectory
| The directory on the remote host in which the backup file is to be placed. More...

## Detailed Description

Create FS Backup request.

Used by unsp__CreateFileSystemBackup()

## Member Data Documentation

## ◆ FSRemoteProtocol

enum unsp__FSRemoteProtocol* unsp__CreateFSBackupRequest::FSRemoteProtocol

The protocol by which the backup file is to be transferred to the RemoteIPAddress.

Applicable when the FSRetrievalMethod is FSB_push.
required: false
default value[range]: FSB_sftp

## ◆ FSRetrievalMethod

enum unsp__FSRetrievalMethod* unsp__CreateFSBackupRequest::FSRetrievalMethod

describeshow the backup file is to be handled.

required: false
default value[range]: FSB_pull

## ◆ NodeId

char* unsp__CreateFSBackupRequest::NodeId

The host name of the node being addressed.

required: true
default value[range]: NA [1..16]

## ◆ OperatorId

char* unsp__CreateFSBackupRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Port

int* unsp__CreateFSBackupRequest::Port

The port of the remote location to which the backup file should be sent.

Mandatory when the FSRetrievalMethod is FSB_push.
required: false
default value[range]: NA [1..24]

## ◆ RemoteDirectory

char* unsp__CreateFSBackupRequest::RemoteDirectory

The directory on the remote host in which the backup file is to be placed.

Applicable when the FSRetrievalMethod is FSB_push.
required: false
default value[range]: NA [1..1024]

## ◆ RemoteIPAddress

unsp__IPAddress unsp__CreateFSBackupRequest::RemoteIPAddress

The IP address of the remote location to which the backup file should be sent.

Mandatory when the FSRetrievalMethod is FSB_push.
required: false
default value[range]: NA [1..24]

## ◆ UserLogin

char* unsp__CreateFSBackupRequest::UserLogin

The login ID of the user to access the remote host.

Applicable when the FSRetrievalMethod is FSB_push.
required: false
default value[range]: NA [1..24]

## ◆ UserPassword

char* unsp__CreateFSBackupRequest::UserPassword

The password of the user to access the remote host.

Applicable when the FSRetrievalMethod is FSB_push.
required: false
default value[range]: NA [1..24]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h